Package org.kie.internal.task.api

## Interface TaskInstanceService

- All Superinterfaces:
    `org.kie.api.runtime.CommandExecutor`

      public interface TaskInstanceService
      extends org.kie.api.runtime.CommandExecutor

  The Task Instance Service is in charge of handling all the actions required to interact with a Task Instance. All the operations described in the WS-HT specification related with the Task Lifecycle are implemented here.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activate​(long taskId, String userId)` |
    `long` | `addOutputContentFromUser​(long taskId, String userId, Map<String,​Object> params)` |
    `long` | `addTask​(org.kie.api.task.model.Task task, Map<String,​Object> params)` |
    `long` | `addTask​(org.kie.api.task.model.Task task, ContentData data)` |
    `void` | `claim​(long taskId, String userId)` |
    `void` | `claim​(long taskId, String userId, List<String> groupIds)` |
    `void` | `claimNextAvailable​(String userId)` |
    `void` | `claimNextAvailable​(String userId, List<String> groupIds)` |
    `void` | `complete​(long taskId, String userId, Map<String,​Object> data)` |
    `void` | `delegate​(long taskId, String userId, String targetUserId)` |
    `void` | `deleteFault​(long taskId, String userId)` |
    `void` | `deleteOutput​(long taskId, String userId)` |
    `void` | `exit​(long taskId, String userId)` |
    `void` | `fail​(long taskId, String userId, Map<String,​Object> faultData)` |
    `default void` | `fireEvent​(Operation operation, long taskId)` |
    `default void` | `fireEvent​(Operation operation, org.kie.api.task.model.Task task)` |
    `void` | `forward​(long taskId, String userId, String targetEntityId)` |
    `org.kie.api.task.model.Content` | `getContentByIdForUser​(long contentId, String userId)` |
    `Map<String,​Object>` | `getContentMapForUser​(Long taskId, String userId)` |
    `List<org.kie.api.task.model.I18NText>` | `getDescriptions​(long taskId)` |
    `Date` | `getExpirationDate​(long taskId)` |
    `int` | `getPriority​(long taskId)` |
    `SubTasksStrategy` | `getSubTaskStrategy​(long taskId)` |
    `boolean` | `isSkipable​(long taskId)` |
    `void` | `nominate​(long taskId, String userId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)` |
    `void` | `release​(long taskId, String userId)` |
    `void` | `remove​(long taskId, String userId)` |
    `void` | `resume​(long taskId, String userId)` |
    `void` | `setDescription​(long taskId, String description)` |
    `void` | `setDescriptions​(long taskId, List<org.kie.api.task.model.I18NText> descriptions)` |
    `void` | `setExpirationDate​(long taskId, Date date)` |
    `void` | `setFault​(long taskId, String userId, FaultData fault)` |
    `void` | `setName​(long taskId, String name)` |
    `void` | `setOutput​(long taskId, String userId, Object outputContentData)` |
    `void` | `setPriority​(long taskId, int priority)` |
    `void` | `setSkipable​(long taskId, boolean skipable)` |
    `void` | `setSubject​(long taskId, String subject)` |
    `void` | `setSubTaskStrategy​(long taskId, SubTasksStrategy strategy)` |
    `void` | `setTaskNames​(long taskId, List<org.kie.api.task.model.I18NText> taskNames)` |
    `void` | `skip​(long taskId, String userId)` |
    `void` | `start​(long taskId, String userId)` |
    `void` | `stop​(long taskId, String userId)` |
    `void` | `suspend​(long taskId, String userId)` |
    `void` | `suspend​(long taskId, String userId, Map<String,​Object> parameters)` |

    - ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

      `execute`

- - ### Method Detail

    - #### fireEvent

          default void fireEvent​(Operation operation,
                                 long taskId)

    - #### fireEvent

          default void fireEvent​(Operation operation,
                                 org.kie.api.task.model.Task task)

    - #### addTask

          long addTask​(org.kie.api.task.model.Task task,
                       Map<String,​Object> params)

    - #### addTask

          long addTask​(org.kie.api.task.model.Task task,
                       ContentData data)

    - #### activate

          void activate​(long taskId,
                        String userId)

    - #### claim

          void claim​(long taskId,
                     String userId)

    - #### claim

          void claim​(long taskId,
                     String userId,
                     List<String> groupIds)

    - #### claimNextAvailable

          void claimNextAvailable​(String userId)

    - #### claimNextAvailable

          void claimNextAvailable​(String userId,
                                  List<String> groupIds)

    - #### complete

          void complete​(long taskId,
                        String userId,
                        Map<String,​Object> data)

    - #### delegate

          void delegate​(long taskId,
                        String userId,
                        String targetUserId)

    - #### exit

          void exit​(long taskId,
                    String userId)

    - #### fail

          void fail​(long taskId,
                    String userId,
                    Map<String,​Object> faultData)

    - #### forward

          void forward​(long taskId,
                       String userId,
                       String targetEntityId)

    - #### release

          void release​(long taskId,
                       String userId)

    - #### remove

          void remove​(long taskId,
                      String userId)

    - #### resume

          void resume​(long taskId,
                      String userId)

    - #### skip

          void skip​(long taskId,
                    String userId)

    - #### start

          void start​(long taskId,
                     String userId)

    - #### stop

          void stop​(long taskId,
                    String userId)

    - #### suspend

          void suspend​(long taskId,
                       String userId)

    - #### suspend

          void suspend​(long taskId,
                       String userId,
                       Map<String,​Object> parameters)

    - #### nominate

          void nominate​(long taskId,
                        String userId,
                        List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

    - #### setFault

          void setFault​(long taskId,
                        String userId,
                        FaultData fault)

    - #### setOutput

          void setOutput​(long taskId,
                         String userId,
                         Object outputContentData)

    - #### deleteFault

          void deleteFault​(long taskId,
                           String userId)

    - #### deleteOutput

          void deleteOutput​(long taskId,
                            String userId)

    - #### setPriority

          void setPriority​(long taskId,
                           int priority)

    - #### setTaskNames

          void setTaskNames​(long taskId,
                            List<org.kie.api.task.model.I18NText> taskNames)

    - #### setExpirationDate

          void setExpirationDate​(long taskId,
                                 Date date)

    - #### setDescriptions

          void setDescriptions​(long taskId,
                               List<org.kie.api.task.model.I18NText> descriptions)

    - #### setSkipable

          void setSkipable​(long taskId,
                           boolean skipable)

    - #### setSubTaskStrategy

          void setSubTaskStrategy​(long taskId,
                                  SubTasksStrategy strategy)

    - #### getPriority

          int getPriority​(long taskId)

    - #### getExpirationDate

          Date getExpirationDate​(long taskId)

    - #### getDescriptions

          List<org.kie.api.task.model.I18NText> getDescriptions​(long taskId)

    - #### isSkipable

          boolean isSkipable​(long taskId)

    - #### getSubTaskStrategy

          SubTasksStrategy getSubTaskStrategy​(long taskId)

    - #### setName

          void setName​(long taskId,
                       String name)

    - #### setDescription

          void setDescription​(long taskId,
                              String description)

    - #### setSubject

          void setSubject​(long taskId,
                          String subject)

    - #### addOutputContentFromUser

          long addOutputContentFromUser​(long taskId,
                                        String userId,
                                        Map<String,​Object> params)

    - #### getContentByIdForUser

          org.kie.api.task.model.Content getContentByIdForUser​(long contentId,
                                                               String userId)

    - #### getContentMapForUser

          Map<String,​Object> getContentMapForUser​(Long taskId,
                                                        String userId)